Package: org.gradle.api.plugins.sonar

## [Groovy] Class SonarPlugin

- org.gradle.api.plugins.sonar.SonarPlugin

- All Implemented Interfaces and Traits:
    Plugin

      @Deprecated
      class SonarPlugin
      extends Object

  A plugin for integrating with Sonar, a web-based platform for managing code quality. Adds a task named `sonarAnalyze` that analyzes the project to which the plugin is applied and its subprojects. The results are stored in the Sonar database.

  For more information, see the Sonar Plugin chapter in the Gradle user guide.

  deprecated:
    The 'sonar' plugin has been superseded by the official plugin from SonarQube, please see: http://docs.sonarqube.org/display/SONAR/Analyzing+with+Gradle
  See Also:
    SonarAnalyze
    SonarRootModel
    SonarProjectModel

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `static String` | `SONAR_ANALYZE_TASK_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `SonarPlugin (org.gradle.internal.reflect.Instantiator instantiator)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `apply(org.gradle.api.internal.project.ProjectInternal project)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Property Detail

    - #### static final String SONAR_ANALYZE_TASK_NAME

  - ### Constructor Detail

    - #### @javax.inject.Inject SonarPlugin(org.gradle.internal.reflect.Instantiator instantiator)

  - ### Method Detail

    - #### void apply(org.gradle.api.internal.project.ProjectInternal project)